Skip to content
Permalink
Browse files

libewf: update to 20171104

  • Loading branch information
kencu committed Sep 30, 2018
1 parent b4b27f5 commit a25450923269e431903e70dca52a275f3caeb589
Showing with 12 additions and 19 deletions.
  1. +12 −8 security/libewf/Portfile
  2. +0 −11 security/libewf/files/patch-libuna-libuna_inline.h.diff
@@ -3,8 +3,7 @@
PortSystem 1.0
PortGroup github 1.0

github.setup libyal libewf 20140608
revision 1
github.setup libyal libewf 20171104
categories security
platforms darwin
maintainers nomaintainer
@@ -18,10 +17,13 @@ long_description Libewf is a library for support of the Expert Witness \
Libewf allows you to read and write media information \
within the EWF files.

master_sites https://raw.githubusercontent.com/libyal/legacy/master/libewf/
github.tarball_from releases
distname ${name}-experimental-${version}
worksrcdir ${name}-${version}

checksums rmd160 bd86f502d9e196dde0de81753595b7b34daa545f \
sha256 d14030ce6122727935fbd676d0876808da1e112721f3cb108564a4d9bf73da71
checksums rmd160 b96f2431a9d14614c90db1741793f3a10d66facf \
sha256 cf36d3baf3a96dbe566fde55ae7d79fc2e7b998806ab13e0f69915799f19e040 \
size 2243405

depends_build port:pkgconfig

@@ -35,6 +37,11 @@ depends_lib port:bzip2 \
# osxfuse is not universal
universal_variant no

platform linux {
configure.env-append \
LIBS="-L${prefix}/lib -lintl"
}

configure.args --with-bzip2=${prefix} \
--with-libfuse=${prefix} \
--with-openssl=${prefix} \
@@ -49,14 +56,11 @@ configure.args --with-bzip2=${prefix} \
--without-libcnotify \
--without-libcpath \
--without-libcsplit \
--without-libcstring \
--without-libcsystem \
--without-libcthreads \
--without-libfcache \
--without-libfdata \
--without-libfvalue \
--without-libhmac \
--without-libmfdata \
--without-libodraw \
--without-libsmdev \
--without-libsmraw \

This file was deleted.

1 comment on commit a254509

@kencu

This comment has been minimized.

Copy link
Contributor Author

@kencu kencu commented on a254509 Oct 3, 2018

Looks like the libewf API has changed enough that the dependent ports might have broken due to this upgrade. Sorry about that. Will work on it.

Please sign in to comment.
You can’t perform that action at this time.